# INFO: When doing a bootstrap build on a new architecture, set this to 1 to
# avoid build loops.
%define build_bootstrap 0

# INFO: This package contains only C header files and pkg-config *.pc files,
# and does not contain any ELF binaries or DSOs, so we disable debuginfo
# generation.
%define debug_package %{nil}

Summary: X.Org X11 Protocol headers
Name: xorg-x11-proto-devel
Version: 7.1
Release: 13%{?dist}
License: The Open Group License
Group: Development/System
URL: http://www.x.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source0:  ftp://ftp.x.org/pub/individual/proto/bigreqsproto-1.0.2.tar.bz2
Source1:  ftp://ftp.x.org/pub/individual/proto/compositeproto-0.3.1.tar.bz2
Source2:  ftp://ftp.x.org/pub/individual/proto/damageproto-1.0.3.tar.bz2
Source3:  ftp://ftp.x.org/pub/individual/proto/dmxproto-2.2.2.tar.bz2
Source4:  ftp://ftp.x.org/pub/individual/proto/evieext-1.0.2.tar.bz2
Source5:  ftp://ftp.x.org/pub/individual/proto/fixesproto-4.0.tar.bz2
Source6:  ftp://ftp.x.org/pub/individual/proto/fontcacheproto-0.1.2.tar.bz2
Source7:  ftp://ftp.x.org/pub/individual/proto/fontsproto-2.0.2.tar.bz2
Source8:  ftp://ftp.x.org/pub/individual/proto/glproto-1.4.8.tar.bz2
Source9:  ftp://ftp.x.org/pub/individual/proto/inputproto-1.3.2.tar.bz2
Source10: ftp://ftp.x.org/pub/individual/proto/kbproto-1.0.3.tar.bz2
Source13: ftp://ftp.x.org/pub/individual/proto/randrproto-1.1.2.tar.bz2
Source14: ftp://ftp.x.org/pub/individual/proto/recordproto-1.13.2.tar.bz2
Source15: ftp://ftp.x.org/pub/individual/proto/renderproto-0.9.2.tar.bz2
Source16: ftp://ftp.x.org/pub/individual/proto/resourceproto-1.0.2.tar.bz2
Source17: ftp://ftp.x.org/pub/individual/proto/scrnsaverproto-1.1.0.tar.bz2
Source18: ftp://ftp.x.org/pub/individual/proto/trapproto-3.4.3.tar.bz2
Source19: ftp://ftp.x.org/pub/individual/proto/videoproto-2.2.2.tar.bz2
Source20: ftp://ftp.x.org/pub/individual/proto/xcmiscproto-1.1.2.tar.bz2
Source21: ftp://ftp.x.org/pub/individual/proto/xextproto-7.0.2.tar.bz2
Source22: ftp://ftp.x.org/pub/individual/proto/xf86bigfontproto-1.1.2.tar.bz2
Source23: ftp://ftp.x.org/pub/individual/proto/xf86dgaproto-2.0.2.tar.bz2
Source24: ftp://ftp.x.org/pub/individual/proto/xf86driproto-2.0.3.tar.bz2
Source25: ftp://ftp.x.org/pub/individual/proto/xf86miscproto-0.9.2.tar.bz2
Source26: ftp://ftp.x.org/pub/individual/proto/xf86rushproto-1.1.2.tar.bz2
Source27: ftp://ftp.x.org/pub/individual/proto/xf86vidmodeproto-2.2.2.tar.bz2
Source28: ftp://ftp.x.org/pub/individual/proto/xineramaproto-1.1.2.tar.bz2
Source29: ftp://ftp.x.org/pub/individual/proto/xproto-7.0.7.tar.bz2
Source30: ftp://ftp.x.org/pub/individual/proto/xproxymanagementprotocol-1.0.2.tar.bz2

Patch0: xproto-maxclients.patch

BuildRequires: pkgconfig
BuildRequires: xorg-x11-util-macros >= 1.0.2-1
# FIXME: This buildreq on xorg-x11-filesystem isn't really necessary, and
# can be removed in the future.  The main purpose of it being here right
# now, is to force buildmachines to get updated to solve the dir/symlink
# issue.
BuildRequires: xorg-x11-filesystem >= 0.99.2-3

Obsoletes: XFree86-devel, xorg-x11-devel

# NOTE: This dependency on xorg-x11-filesystem is required to work around
# a nasty upgrade problem when going from FC4->FC5 or monolithic to
# modular X.Org.  Bug #173384.
Requires(pre): xorg-x11-filesystem >= 0.99.2-3

%if ! %{build_bootstrap}
Requires: mesa-libGL-devel
%endif

%description
X.Org X11 Protocol headers

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a13 -a14 -a15 -a16 -a17 -a18 -a19 -a20 -a21 -a22 -a23 -a24 -a25 -a26 -a27 -a28 -a29 -a30
pwd
%patch0 -p0 -b .maxclients

%build
#ls -al

# Proceed through each proto package directory, building them all
for dir in $(ls -1) ; do
	pushd $dir
	%configure
	make %{?_smp_mflags}
	popd
done

%install
rm -rf $RPM_BUILD_ROOT
for dir in $(ls -1) ; do
	pushd $dir
	make install DESTDIR=$RPM_BUILD_ROOT
	popd
done

# libXext still needs XLbx.h and lbxstr.h to build.  The rest are junk.
rm -f $RPM_BUILD_ROOT%{_includedir}/X11/extensions/lbxbuf.h \
      $RPM_BUILD_ROOT%{_includedir}/X11/extensions/lbxbufstr.h \
      $RPM_BUILD_ROOT%{_includedir}/X11/extensions/lbxdeltastr.h \
      $RPM_BUILD_ROOT%{_includedir}/X11/extensions/lbximage.h \
      $RPM_BUILD_ROOT%{_includedir}/X11/extensions/lbxopts.h \
      $RPM_BUILD_ROOT%{_includedir}/X11/extensions/lbxzlib.h

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc
%dir %{_includedir}/GL
%{_includedir}/GL/glxint.h
%{_includedir}/GL/glxmd.h
%{_includedir}/GL/glxproto.h
%{_includedir}/GL/glxtokens.h
%dir %{_includedir}/GL/internal
%{_includedir}/GL/internal/glcore.h
%{_includedir}/GL/internal/dri_interface.h
%dir %{_includedir}/X11
%{_includedir}/X11/DECkeysym.h
%{_includedir}/X11/HPkeysym.h
%dir %{_includedir}/X11/PM
%{_includedir}/X11/PM/PM.h
%{_includedir}/X11/PM/PMproto.h
%{_includedir}/X11/Sunkeysym.h
%{_includedir}/X11/X.h
%{_includedir}/X11/XF86keysym.h
%{_includedir}/X11/XWDFile.h
%{_includedir}/X11/Xalloca.h
%{_includedir}/X11/Xarch.h
%{_includedir}/X11/Xatom.h
%{_includedir}/X11/Xdefs.h
%{_includedir}/X11/Xfuncproto.h
%{_includedir}/X11/Xfuncs.h
%{_includedir}/X11/Xmd.h
%{_includedir}/X11/Xos.h
%{_includedir}/X11/Xos_r.h
%{_includedir}/X11/Xosdefs.h
%{_includedir}/X11/Xpoll.h
%{_includedir}/X11/Xproto.h
%{_includedir}/X11/Xprotostr.h
%{_includedir}/X11/Xthreads.h
%{_includedir}/X11/Xw32defs.h
%{_includedir}/X11/Xwindows.h
%{_includedir}/X11/Xwinsock.h
%{_includedir}/X11/ap_keysym.h
%dir %{_includedir}/X11/dri
%{_includedir}/X11/dri/xf86dri.h
%{_includedir}/X11/dri/xf86dristr.h
%dir %{_includedir}/X11/extensions
%{_includedir}/X11/extensions/MITMisc.h
%{_includedir}/X11/extensions/XEVI.h
%{_includedir}/X11/extensions/XEVIstr.h
%{_includedir}/X11/extensions/XI.h
%{_includedir}/X11/extensions/XInput.h
%{_includedir}/X11/extensions/XIproto.h
%{_includedir}/X11/extensions/XKB.h
%{_includedir}/X11/extensions/XKBgeom.h
%{_includedir}/X11/extensions/XKBproto.h
%{_includedir}/X11/extensions/XKBsrv.h
%{_includedir}/X11/extensions/XKBstr.h
%{_includedir}/X11/extensions/XLbx.h
%{_includedir}/X11/extensions/XResproto.h
%{_includedir}/X11/extensions/XShm.h
%{_includedir}/X11/extensions/XTest.h
%{_includedir}/X11/extensions/Xag.h
%{_includedir}/X11/extensions/Xagsrv.h
%{_includedir}/X11/extensions/Xagstr.h
%{_includedir}/X11/extensions/Xcup.h
%{_includedir}/X11/extensions/Xcupstr.h
%{_includedir}/X11/extensions/Xdbe.h
%{_includedir}/X11/extensions/Xdbeproto.h
%{_includedir}/X11/extensions/Xext.h
%{_includedir}/X11/extensions/Xeviestr.h
%{_includedir}/X11/extensions/Xinerama.h
%{_includedir}/X11/extensions/Xv.h
%{_includedir}/X11/extensions/XvMC.h
%{_includedir}/X11/extensions/XvMCproto.h
%{_includedir}/X11/extensions/Xvproto.h
%{_includedir}/X11/extensions/bigreqstr.h
%{_includedir}/X11/extensions/composite.h
%{_includedir}/X11/extensions/compositeproto.h
%{_includedir}/X11/extensions/damageproto.h
%{_includedir}/X11/extensions/damagewire.h
%{_includedir}/X11/extensions/dmxext.h
%{_includedir}/X11/extensions/dmxproto.h
%{_includedir}/X11/extensions/dpms.h
%{_includedir}/X11/extensions/dpmsstr.h
%{_includedir}/X11/extensions/extutil.h
%{_includedir}/X11/extensions/fontcache.h
%{_includedir}/X11/extensions/fontcacheP.h
%{_includedir}/X11/extensions/fontcachstr.h
%{_includedir}/X11/extensions/lbxstr.h
%if 0
%{_includedir}/X11/extensions/lbxbuf.h
%{_includedir}/X11/extensions/lbxbufstr.h
%{_includedir}/X11/extensions/lbxdeltastr.h
%{_includedir}/X11/extensions/lbximage.h
%{_includedir}/X11/extensions/lbxopts.h
%{_includedir}/X11/extensions/lbxzlib.h
%endif
%{_includedir}/X11/extensions/mitmiscstr.h
%{_includedir}/X11/extensions/multibuf.h
%{_includedir}/X11/extensions/multibufst.h
%{_includedir}/X11/extensions/panoramiXext.h
%{_includedir}/X11/extensions/panoramiXproto.h
%{_includedir}/X11/extensions/randr.h
%{_includedir}/X11/extensions/randrproto.h
%{_includedir}/X11/extensions/record.h
%{_includedir}/X11/extensions/recordstr.h
%{_includedir}/X11/extensions/render.h
%{_includedir}/X11/extensions/renderproto.h
%{_includedir}/X11/extensions/saver.h
%{_includedir}/X11/extensions/saverproto.h
%{_includedir}/X11/extensions/scrnsaver.h
%{_includedir}/X11/extensions/security.h
%{_includedir}/X11/extensions/securstr.h
%{_includedir}/X11/extensions/shape.h
%{_includedir}/X11/extensions/shapestr.h
%{_includedir}/X11/extensions/shmstr.h
%{_includedir}/X11/extensions/sync.h
%{_includedir}/X11/extensions/syncstr.h
%{_includedir}/X11/extensions/vldXvMC.h
%{_includedir}/X11/extensions/xcmiscstr.h
%{_includedir}/X11/extensions/xf86bigfont.h
%{_includedir}/X11/extensions/xf86bigfstr.h
%{_includedir}/X11/extensions/xf86dga.h
%{_includedir}/X11/extensions/xf86dga1.h
%{_includedir}/X11/extensions/xf86dga1str.h
%{_includedir}/X11/extensions/xf86dgastr.h
%{_includedir}/X11/extensions/xf86misc.h
%{_includedir}/X11/extensions/xf86mscstr.h
%{_includedir}/X11/extensions/xf86rush.h
%{_includedir}/X11/extensions/xf86rushstr.h
%{_includedir}/X11/extensions/xf86vmode.h
%{_includedir}/X11/extensions/xf86vmstr.h
%{_includedir}/X11/extensions/xfixesproto.h
%{_includedir}/X11/extensions/xfixeswire.h
%{_includedir}/X11/extensions/xtestext1.h
%{_includedir}/X11/extensions/xteststr.h
%{_includedir}/X11/extensions/xtrapbits.h
%{_includedir}/X11/extensions/xtrapddmi.h
%{_includedir}/X11/extensions/xtrapdi.h
%{_includedir}/X11/extensions/xtrapemacros.h
%{_includedir}/X11/extensions/xtraplib.h
%{_includedir}/X11/extensions/xtraplibp.h
%{_includedir}/X11/extensions/xtrapproto.h
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/FS.h
%{_includedir}/X11/fonts/FSproto.h
%{_includedir}/X11/fonts/font.h
%{_includedir}/X11/fonts/fontproto.h
%{_includedir}/X11/fonts/fontstruct.h
%{_includedir}/X11/fonts/fsmasks.h
%{_includedir}/X11/keysym.h
%{_includedir}/X11/keysymdef.h
%{_libdir}/pkgconfig/bigreqsproto.pc
%{_libdir}/pkgconfig/compositeproto.pc
%{_libdir}/pkgconfig/damageproto.pc
%{_libdir}/pkgconfig/dmxproto.pc
%{_libdir}/pkgconfig/evieproto.pc
%{_libdir}/pkgconfig/fixesproto.pc
%{_libdir}/pkgconfig/fontcacheproto.pc
%{_libdir}/pkgconfig/fontsproto.pc
%{_libdir}/pkgconfig/glproto.pc
%{_libdir}/pkgconfig/inputproto.pc
%{_libdir}/pkgconfig/kbproto.pc
%{_libdir}/pkgconfig/randrproto.pc
%{_libdir}/pkgconfig/recordproto.pc
%{_libdir}/pkgconfig/renderproto.pc
%{_libdir}/pkgconfig/resourceproto.pc
%{_libdir}/pkgconfig/scrnsaverproto.pc
%{_libdir}/pkgconfig/trapproto.pc
%{_libdir}/pkgconfig/videoproto.pc
%{_libdir}/pkgconfig/xcmiscproto.pc
%{_libdir}/pkgconfig/xextproto.pc
%{_libdir}/pkgconfig/xf86bigfontproto.pc
%{_libdir}/pkgconfig/xf86dgaproto.pc
%{_libdir}/pkgconfig/xf86driproto.pc
%{_libdir}/pkgconfig/xf86miscproto.pc
%{_libdir}/pkgconfig/xf86rushproto.pc
%{_libdir}/pkgconfig/xf86vidmodeproto.pc
%{_libdir}/pkgconfig/xineramaproto.pc
%{_libdir}/pkgconfig/xproto.pc
%{_libdir}/pkgconfig/xproxymngproto.pc

%changelog
* Wed Jul 22 2009 Adam Jackson <ajax@redhat.com> 7.1-13
- xproto-maxclients.h: Raise maximum number of clients to 512. (#511913)

* Tue Oct 3 2006 Adam Jackson <ajackson@redhat.com> 7.1-10
- Install just enough LBX headers to make libXext build. (#203815)

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 7.1-9
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Kristian Høgsberg <krh@redhat.com> - 7.1-8.fc6
- Update to 1.4.8 to get the finaly update of GLX_EXT_tfp opcodes.

* Fri Sep  8 2006 Soren Sandmann <sandmann@redhat.com> 7.1-7.fc6
- Remove printproto source. Rest of 175350.

* Thu Aug 17 2006 Soren Sandmann <sandmann@redhat.com> 7.1-6.fc6
- Don't install xprint headers, as they are being moved to the libXp 
  package instead. Bug 175350.

* Thu Jul 27 2006 Mike A. Harris <mharris@redhat.com> 7.1-5.fc6
- Don't install LBX protocol headers, as LBX is obsoleted in the 7.1 release
  and no longer supported.

* Fri Jul 21 2006 Adam Jackson <ajackson@redhat.com> 7.1-4
- Use dist tag.  Update to kbproto-1.0.3.

* Thu Jul 13 2006 Kristian Høgsberg <krh@redhat.com> 7.1-3
- Tag as 7.1-3.fc5.aiglx.

* Thu Jul 13 2006 Kristian Høgsberg <krh@redhat.com> 7.1-3
- Add dist tag.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> 7.1-2.1
- rebuild

* Wed Jun 21 2006 Mike A. Harris <mharris@redhat.com> 7.1-2
- Update to xproto 7.0.7 for X11R7.1
- Use "make install" instead of makeinstall macro.

* Thu May 25 2006 Mike A. Harris <mharris@redhat.com> 7.1-1
- Bump package version-release to 7.1-1 for X.Org X11R7.1 release.

* Fri May 12 2006 Adam Jackson <ajackson@redhat.com> 7.0-13
- Update to glproto 1.4.7 for final EXT_tfp defines

* Thu Apr 27 2006 Adam Jackson <ajackson@redhat.com> 7.0-12
- Update to xproto 7.0.5 for misc fixes

* Fri Apr 07 2006 Adam Jackson <ajackson@redhat.com> 7.0-10
- Update to compositeproto-0.3.1 to fix big-endian LP64.

* Sat Apr 01 2006 Adam Jackson <ajackson@redhat.com> 7.0-9
- Update to scrnsaverproto-1.1

* Mon Mar 20 2006 Adam Jackson <ajackson@redhat.com> 7.0-8
- Fix the base URL.

* Wed Mar 15 2006 Adam Jackson <ajackson@redhat.com> 7.0-7
- Update to fixesproto-4.0, compositeproto-0.3, and glproto-1.4.6

* Wed Mar 01 2006 Mike A. Harris <mharris@redhat.com> 7.0-6
- Update to glproto-1.4.5
- Remove xorg-x11-proto-devel-7.0-buffer-values.patch which is in 1.4.5.

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> 7.0-5
- require mesa-libGL-devel since it's needed by some of the headers

* Sun Feb 19 2006 Ray Strode <rstrode@redhat.com> 7.0-4
- Add back part of glproto-texture-from-drawable patch that didn't
  get integrated for some reason

* Thu Feb 16 2006 Mike A. Harris <mharris@redhat.com> 7.0-3
- Update to glproto-1.4.4
- Drop glproto-texture-from-drawable patch, which is integrated now.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> 7.0-2.3
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> 7.0-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 27 2006 Kristian Høgsberg <krh@redhat.com> 7.0-2
- Add glproto-texture-from-drawable.patch to add opcodes and tokens
  for GLX_texture_from_drawable extension.

* Fri Dec 23 2005 Mike A. Harris <mharris@redhat.com> 7.0-1
- Update to damageproto-1.0.3, glproto-1.4.3, xf86driproto-2.0.2 from the
  X11R7.0 final release.
- Bump package version to 7.0 to match the X11R7 version, for no particularly
  strong reason other than "it feels good".

* Thu Dec 15 2005 Mike A. Harris <mharris@redhat.com> 0.99.4-1
- Update all proto tarballs to the RC4 release.

* Wed Dec 07 2005 Mike A. Harris <mharris@redhat.com> 0.99.3-1
- Update to printproto-1.0.2, trapproto-3.4.2, xproto-7.0.3 from the
  X11R7 RC3 release.

* Mon Nov 21 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-3
- Added "Requires(pre): xorg-x11-filesystem >= 0.99.2-1" to attempt to
  workaround bug( #173384).

* Thu Nov 17 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-2
- Change Conflicts to "Obsoletes: XFree86-devel, xorg-x11-devel"

* Fri Nov 11 2005 Mike A. Harris <mharris@redhat.com> 0.99.2-1
- Update to X11R7 RC2 release, picking up new xproto-7.0.2.

* Thu Oct 20 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-2
- This package contains only C header files and pkg-config *.pc files,
  and does not contain any ELF binaries or DSOs, so we disable debuginfo
  generation.

* Thu Oct 20 2005 Mike A. Harris <mharris@redhat.com> 0.99.1-1
- Update all tarballs to X11R7 RC1 release.
- Remove panoramixproto, as it is now known as xineramaproto.
- Remove glu.h and glx.h from file manifest, as they're provided by Mesa.
- Added {_includedir}/GL/internal/dri_interface.h to file manifest.

* Sun Oct 02 2005 Mike A. Harris <mharris@redhat.com> 0.0.1-3
- Use Fedora-Extras style BuildRoot
- Invoke make with _smp_mflags
- Add full URLs to SourceN lines

* Mon Sep 12 2005 Kristian Høgsberg <krh@redhat.com> 0.0.1-2
- Update to 20050912 cvs snapshot of kbproto.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.0.1-1
- Changed for loop in build section to use "ls -1" instead of find "*proto*"
  when going through protocol dirs, as "evieext" just *HAD* to be named
  something completely different from everything else, in true X.Org
  inconsistency fashion.
- Added Conflicts with XFree86-devel and xorg-x11-devel.

* Mon Aug 22 2005 Mike A. Harris <mharris@redhat.com> 0.0.1-0
- Initial build of xproto from X.Org modular CVS checkout and "make dist".
- Since there are no upstream tarballs yet, and "make dist" generates
  a "7.0" non-beta final version, I changed the version to 0.0 as I've no
  idea what the intention is and want to avoid using Epoch later.
